Package logilab :: Package common :: Module deprecation :: Class DeprecationWrapper

[frames] | no frames]

# Class DeprecationWrapper

source code

    object --+
             |
            DeprecationWrapper

    proxy to print a warning on access to any attribute of the wrapped object

Instance Methods

__init__(self, proxied, msg=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__getattr__(self, attr) | source code

__setattr__(self, attr, value) x.__setattr__('name', value) <==> x.name = value | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, proxied, msg=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### __setattr__(self, attr, value)

source code

x.__setattr__('name', value) <==> x.name = value

Overrides: object.__setattr__
  (inherited documentation)